Details

Get all available artist details.

Example request

GET https://api.7digital.com/1.2/artist/details?artistid=1&country=GB&oauth_consumer_key=YOUR_KEY_HERE

Example response

{
  "status": "ok",
  "version": "1.2",
  "artist": {
    "id": 1,
    "name": "Keane",
    "sortName": "Keane",
    "slug": "keane",
    "image": "http://artwork-cdn.7static.com/static/img/artistimages/00/000/000/0000000001_150.jpg",
    "bio": {
      "text": ""
    }
  }
}

Description of all possible response fields

NameTypeDescription
artistIdintegerunique identifier of artist in MassiveMusic catalogue
namestringname of the artist (e.g. "The Pogues")
appearsAsstringname of the artist as it appears on the track or release (this field is only available when artist object is returned attached to a track or release, e.g. "The Pogues feat. Kirsty MacColl")
sortNamestringname of the artist as used for sorting (e.g. "Pogues, The"), only available on some endpoints
imageURLThis field has been deprecated, but may be present in some responses.
slugstringurl slug of the artist, only available on some endpoints
popularitydecimala figure between 0 and 1 representing the artists popularity, currently only available on the artist/search and artist/bytag/top endpoints
isPlaceholderImagebooleanThis field has been deprecated, but may be present in some responses.

Run in Postman

Query Params
int32
required

The unique MassiveMusic identifier of the artist.

string
required

ISO 2-character code of the country the end user resides in.

Language
LoadingLoading…